%define _libexecdir %{_prefix}/libexec
%define majver %(echo %version | cut -d. -f1-2)
Name:          idjc
Version:       0.8.7
Release:       %mkrel 6
Summary:       Internet DJ Console - a graphical shoutcast/icecast client
Group:         Sound/Players
License:       GPLv2+
Url:           http://idjc.sourceforge.net/
Source0:       http://sourceforge.net/projects/idjc/files/idjc/%{majver}/idjc-%{version}.tar.gz
Patch0:        idjc-0.8.7-ffmpeg0.11.patch

#BuildRequires: faad2
#BuildRequires: faad2-devel
#BuildRequires: flac-devel
#BuildRequires: lame-devel
# TODO  failed to locate lib[mp3]lame dynamic library
BuildRequires: desktop-file-utils
BuildRequires: glibc-devel
BuildRequires: mutagen
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(mad)
BuildRequires: pkgconfig(ogg)
BuildRequires: pkgconfig(pygobject-2.0)
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(shout)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(speex)
BuildRequires: pkgconfig(theora)
BuildRequires: pkgconfig(vorbis)
BuildRequires: python-devel
BuildRequires: python-eyed3
BuildRequires: vorbis-tools

Requires:      mutagen
Requires:      pulseaudio-module-jack

%description
A graphical shoutcast/icecast client with two media players, a jingles player,
crossfader, ogg and mp3 streaming, shutoff timer, aux input. Uses Jack Audio
Connection Kit. Supports playing of mp3, ogg, flac, wma, wav, m4a, files.


%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

desktop-file-install --delete-original \
    --remove-category=Application \
    --add-category="AudioVideo" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -r %{buildroot}%{_docdir}/%{name}-%{version}

%files
%{_bindir}/%{name}*
%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*
%{_prefix}/libexec/%{name}*
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/locale/it/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/%{name}*.1.xz
%{_datadir}/pixmaps/%{name}.png
%doc COPYING README AUTHORS ChangeLog NEWS doc/*.html doc/*.css doc/*.png


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.8.7-6.mga3
+ Revision: 354243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.8.7-5.mga3
+ Revision: 341637
- rebuild for new ffmpeg

* Wed Dec 05 2012 barjac <barjac> 0.8.7-4.mga3
+ Revision: 327021
- changed group to new policy
- minor spec clean

* Fri Jun 01 2012 fwang <fwang> 0.8.7-3.mga3
+ Revision: 252805
- build with system libshout

* Fri Jun 01 2012 fwang <fwang> 0.8.7-2.mga3
+ Revision: 252804
- more patch
- fix build with latest ffmpeg

* Fri Dec 30 2011 gil <gil> 0.8.7-2.mga2
+ Revision: 189040
- fix url
- rebuilt with libshout support
- rebuilt with libshout support
- rebuilt with speex support
- imported package idjc

